pfscolortransform(1)

NAME
pfscolortransform - Apply color calibration using user provided matrix file.

SYNOPSIS
pfscolortransform (--xyzrgb matrix-file | --rgbxyz matrix-file) [--transpose]

DESCRIPTION
Use this command to calibrate colours using a calibration matrix supplied in a text file. The command is intended for linearized (not gamma corrected) color spaces. The matrix should be 3x3 and it should transform from CIE XYZ to ITU rec. 709 RGB (sRGB primaries but linear, no gamma) or from the same RGB to CIE XYZ (see options below). The text file should contain three rows with numbers separated by a comma, for example:

    0.0292,0.0126,0.0009
    0.0052,0.0340,-0.0049
    0.0055,-0.0059,0.0409

If the --xyzrgb is supplied, the pixel values are color-transformed as follows:

    [RGB]' = M * [XYZ]

where ' is matrix transposition, * is matrix multiplication, RGB is a vector of RGB values and XYZ is the vector of CIE XYZ trichromatic values. If the --rgbxyz is supplied, the pixel values are color-transformed as follows:

    [XYZ]' = M * [RGB]

OPTIONS

--xyzrgb matrix-file, -x matrix-file
    User provided matrix is a conversion matrix to convert from XYZ to RGB color space.

--rgbxyz matrix-file, -r matrix-file
    User provided matrix is a conversion matrix to convert from RGB to XYZ color space.

--transpose, -t
    Take transpose of provided matrix file.

EXAMPLES

pfsin memorial.hdr | pfscolortransform -x matrix.txt | pfsout memorial_gc.ppm

    Color calibrate memorial image with matrix in matrix.txt file and save to memorial_gc.ppm.

SEE ALSO
pfsin(1) pfsout(1) pfsdisplayfunction(1)

BUGS
Please report bugs and comments to the pfstools discussion group (http://groups.google.com/group/pfstools).